Package com.google.protobuf

# Enum Class Extension.ExtensionType

java.lang.Object
java.lang.Enum<Extension.ExtensionType>
com.google.protobuf.Extension.ExtensionType

All Implemented Interfaces:
  `Serializable`, `Comparable<Extension.ExtensionType>`, `Constable`

Enclosing class:
  `Extension<ContainingType extends MessageLite,Type>`

protected static enum Extension.ExtensionType extends Enum<Extension.ExtensionType>
The API type that the extension is used for.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IMMUTABLE`
`MUTABLE`
`PROTO1`

## Method Summary

Modifier and Type
Method
Description
`static Extension.ExtensionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Extension.ExtensionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IMMUTABLE

public static final Extension.ExtensionType IMMUTABLE

### MUTABLE

public static final Extension.ExtensionType MUTABLE

### PROTO1

public static final Extension.ExtensionType PROTO1

## Method Details

### values

public static Extension.ExtensionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Extension.ExtensionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null